'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var preact = require('preact');
var renderToString = _interopDefault(require('preact-render-to-string'));

var TagCollector = (function (Component) {
  function TagCollector () {
    Component.apply(this, arguments);
  }

  if ( Component ) TagCollector.__proto__ = Component;
  TagCollector.prototype = Object.create( Component && Component.prototype );
  TagCollector.prototype.constructor = TagCollector;

  TagCollector.prototype.getChildContext = function getChildContext () {
    var this$1 = this;

    return {
      head: {
        add: function (tag) { return this$1.props.headTags.push(renderToString(tag)); }
      }
    };
  };

  TagCollector.prototype.render = function render (ref) {
    var children = ref.children;

    return children[0];
  };

  return TagCollector;
}(preact.Component));

exports.TagCollector = TagCollector;
